import { EventEmitter, OnChanges } from '@angular/core';
import { BaseSchema } from '../abstracts/BaseSchema';
import { SchemaGroupComponent } from '../schema-group/schema-group.component';
import { SchemaData, SchemaDefinition, SchemaDisplayContext, SchemaPayload } from '../types/schema-form.types';
export declare class SchemaContextComponent extends BaseSchema implements OnChanges {
    get groupClass(): string;
    set groupClass(value: string);
    get fieldClass(): string;
    set fieldClass(value: string);
    get mode(): SchemaDisplayContext;
    set mode(value: SchemaDisplayContext);
    schema: SchemaDefinition;
    data: SchemaData;
    context: SchemaDisplayContext;
    valueChange: EventEmitter<SchemaData>;
    schemaGroup: SchemaGroupComponent;
    schemaPayload: SchemaPayload;
    get classList(): string;
    _fieldClass: string;
    _groupClass: string;
    _mode: SchemaDisplayContext;
    constructor();
    updateApp(event: SchemaData): void;
    ngOnChanges(): void;
    private combinePayload;
}
