import { Renderer2, ElementRef, AfterViewInit, EventEmitter, ChangeDetectorRef } from '@angular/core';
import { AbstractControl } from '@angular/forms';
import { SchemaField } from '../abstracts/SchemaField';
export declare class SchemaFieldComponent extends SchemaField implements AfterViewInit {
    private element;
    private renderer;
    private changeRef;
    control: AbstractControl;
    index: number;
    inputChangeCallback: (value: string) => Promise<any>;
    tierToChange: EventEmitter<number>;
    typeaheadOptions: Array<{
        label: string;
        value: string;
    }>;
    readonly isField: boolean;
    _onFieldChange(event: CustomEvent): void;
    constructor(element: ElementRef, renderer: Renderer2, changeRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    handleOnChangeCallback({ detail }: CustomEvent): Promise<void>;
}
